net.sf.statsvn.util.svnkit

## Class SvnKitInfo

- java.lang.Object
- - net.sf.statsvn.util.SvnInfoUtils
  - - net.sf.statsvn.util.svnkit.SvnKitInfo

- All Implemented Interfaces:
    ISvnInfoProcessor

      public class SvnKitInfo
      extends SvnInfoUtils

  Performs svn info using svnkit.
  Author:
    jkealey, yogesh

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SvnKitInfo.SvnKitInfoHandler`

    - ### Nested classes/interfaces inherited from class net.sf.statsvn.util.SvnInfoUtils

      `SvnInfoUtils.SvnInfoHandler`

  - ### Field Summary

    - ### Fields inherited from class net.sf.statsvn.util.SvnInfoUtils

      `HM_REVISIONS, HS_DIRECTORIES, processor, SVN_REPO_ROOT_NOTFOUND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnKitInfo(ISvnProcessor processor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkRepoRootAvailable()` Verifies that the "svn info" command can return the repository root (info available in svn >= 1.3.0)
    `java.io.File` | `getCheckoutDirectory()`
    `org.tmatesoft.svn.core.wc.SVNClientManager` | `getManager()`
    `SvnKitProcessor` | `getSvnKitProcessor()`
    `protected void` | `handleSvnException(org.tmatesoft.svn.core.SVNException ex)`
    `protected void` | `loadInfo(boolean bRootOnly)` Loads the information from svn info if needed.

    - ### Methods inherited from class net.sf.statsvn.util.SvnInfoUtils

      `absolutePathToUrl, absoluteToRelativePath, addDirectory, clearCache, existsInWorkingCopy, getModuleName, getProcessor, getRepositoryUrl, getRepositoryUuid, getRevisionNumber, getRootRevisionNumber, getRootUrl, getSvnInfo, isDirectory, isQueryNeeded, loadInfo, loadInfo, relativePathToUrl, relativeToAbsolutePath, setRepositoryUrl, setRepositoryUuid, setRootUrl, urlToAbsolutePath, urlToRelativePath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnKitInfo

          public SvnKitInfo(ISvnProcessor processor)

  - ### Method Detail

    - #### checkRepoRootAvailable

          public void checkRepoRootAvailable()
                                      throws SvnVersionMismatchException

      Verifies that the "svn info" command can return the repository root (info available in svn >= 1.3.0)
      Specified by:
        `checkRepoRootAvailable` in interface `ISvnInfoProcessor`
      Overrides:
        `checkRepoRootAvailable` in class `SvnInfoUtils`
      Throws:
        `SvnVersionMismatchException` - if `svn info` failed to provide a non-empty repository root

    - #### getCheckoutDirectory

          public java.io.File getCheckoutDirectory()

    - #### getManager

          public org.tmatesoft.svn.core.wc.SVNClientManager getManager()

    - #### getSvnKitProcessor

          public SvnKitProcessor getSvnKitProcessor()

    - #### handleSvnException

          protected void handleSvnException(org.tmatesoft.svn.core.SVNException ex)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadInfo

          protected void loadInfo(boolean bRootOnly)
                           throws net.sf.statcvs.input.LogSyntaxException,
                                  java.io.IOException

      Loads the information from svn info if needed.
      Overrides:
        `loadInfo` in class `SvnInfoUtils`
      Parameters:
        `bRootOnly` - load only the root?
      Throws:
        `net.sf.statcvs.input.LogSyntaxException` - if the format of the svn info is invalid
        `java.io.IOException` - if we can't read from the response stream.